com.unitech.lib.types

## Enum LEDIndicator

- java.lang.Object
- - java.lang.Enum<LEDIndicator>
  - - com.unitech.lib.types.LEDIndicator

- All Implemented Interfaces:
    Serializable, Comparable<LEDIndicator>

      public enum LEDIndicator
      extends Enum<LEDIndicator>

  The LEDIndicator enum represents different types of LED indicators. Each LED indicator is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of an LED indicator, and to get an LED indicator from its byte value. It also provides a method to get an array containing the names of the LED indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `blue`
    `green`
    `none`
    `red`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LEDIndicator` | `fromValue(byte value)` Gets an LED indicator from its byte value.
    `static LEDIndicator` | `fromValue(int value)` Gets an LED indicator from its integer value.
    `byte` | `getCode()` Gets the byte value of the LED indicator.
    `static String[]` | `names()` Returns an array containing the names of the LED indicator constants.
    `String` | `toString()` Returns the string message of the LED indicator.
    `byte` | `value()` Gets the byte value of the LED indicator.
    `static LEDIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LEDIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final LEDIndicator none

    - #### red

          public static final LEDIndicator red

    - #### green

          public static final LEDIndicator green

    - #### blue

          public static final LEDIndicator blue

  - ### Method Detail

    - #### values

          public static LEDIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LEDIndicator c : LEDIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LEDIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Gets the byte value of the LED indicator.
      Returns:
        The byte value of the LED indicator.

    - #### getCode

          public byte getCode()

      Gets the byte value of the LED indicator.
      Returns:
        The byte value of the LED indicator.

    - #### toString

          public String toString()

      Returns the string message of the LED indicator.
      Overrides:
        `toString` in class `Enum<LEDIndicator>`
      Returns:
        The string message of the LED indicator.

    - #### fromValue

          public static LEDIndicator fromValue(byte value)
                                        throws IllegalArgumentException

      Gets an LED indicator from its byte value.
      Parameters:
        `value` - The byte value of the LED indicator.
      Returns:
        The LED indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any LED indicator.

    - #### fromValue

          public static LEDIndicator fromValue(int value)
                                        throws IllegalArgumentException

      Gets an LED indicator from its integer value.
      Parameters:
        `value` - The integer value of the LED indicator.
      Returns:
        The LED indicator associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any LED indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the LED indicator constants.
      Returns:
        An array containing the names of the LED indicator constants.